### Function Macro

# GObject TYPE_FUNDAMENTAL

since: 2.0

#### Declaration

    #define G_TYPE_FUNDAMENTAL (
      type
    )

#### Description

The fundamental type which is the ancestor of `type`.

Fundamental types are types that serve as ultimate bases for the derived types, thus they are the roots of distinct inheritance hierarchies.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`type`

  Type: `-`

  A `GType` value.